Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236468 - Missing dependency : gnome-python2-canvas
Summary: Missing dependency : gnome-python2-canvas
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: quodlibet
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-14 18:17 UTC by Łukasz Lis
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 14:05:00 UTC


Attachments (Terms of Use)

Description Łukasz Lis 2007-04-14 18:17:15 UTC
Description of problem:
Package lacks a dependancy to a python module required by the player.

Version-Release number of selected component (if applicable):
0.24-6.fc6

How reproducible:
Always (tested on x86_64)

Steps to Reproduce (in console):
1. yum remove gnome-python2-canvas
2. yum install quodlibet.x86_64
3. quodlibet
  
Actual results:
$ quodlibet
Supported formats: mp3, wav, xiph
Loaded song library.
Opening audio device.
ImportError: could not import gnomecanvas
ImportError: cannot import name DockItem from bonobo.ui
Traceback (most recent call last):
  File "/usr/bin/quodlibet", line 301, in ?
    main()
  File "/usr/bin/quodlibet", line 45, in main
    window = widgets.init(player, library)
  File "/usr/share/quodlibet/widgets.py", line 53, in init
    qltk.session.init()
  File "/usr/share/quodlibet/qltk/session.py", line 22, in init
    client.set_restart_style(gnome.ui.RESTART_IF_RUNNING)
AttributeError: '__main__.GnomeClient' object has no attribute 'set_restart_style'

Additional Information:
I ran into this bug when I was searching for a replacement for Rhythmbox after
switching to XFCE. 
I removed all packages in the Gnome package group, installed XFCE 4.4 and
started installing the rest of the usual apps.

Comment 1 Łukasz Lis 2007-04-14 18:20:12 UTC
I have to start using a spell checker. :(

Comment 2 Jeffrey C. Ollie 2007-04-16 14:05:00 UTC
Should be fixed in the next release.


Note You need to log in before you can comment on or make changes to this bug.